> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pleo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns a receipt with time-bound access to the receipt file.



## OpenAPI

````yaml get /v1/accounting-entries/{accountingEntryId}/receipts/{receiptId}
openapi: 3.0.1
info:
  title: Gjoll API
  description: Gjoll OpenAPI definitions
  termsOfService: https://pleo.io/terms/
  contact:
    email: team-accounting-core@pleo.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 84.1.2
servers:
  - url: https://external.pleo.io
    description: Production server
  - url: https://external.staging.pleo.io
    description: Staging server
security:
  - bearerAuth: []
  - basicAuth: []
tags:
  - name: reconciliation
    description: Reconciliation API
  - name: accounts
    description: Accounts API
  - name: categories
    description: Categories API
  - name: tax-codes
    description: Tax Codes API
  - name: accounting-entries
    description: |-
      The Accounting Entries API endpoints enable you to perform the following:
        - Apply filters and search for accounting entries and accounting receipts.
        - Retrieve list of accounting entries and accounting receipts.
        - Retrieve details of a specific accounting entry.
paths:
  /v1/accounting-entries/{accountingEntryId}/receipts/{receiptId}:
    get:
      tags:
        - accounting-entries
      summary: Returns a receipt with time-bound access to the receipt file.
      operationId: getReceiptFileV6
      parameters:
        - name: accountingEntryId
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
            description: The specific accounting entry ID that you are looking for.
            format: uuid
        - name: receiptId
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
            description: The specific receipt ID that you are looking for.
            format: uuid
        - name: file_type
          in: query
          required: false
          style: form
          explode: true
          schema:
            $ref: '#/components/schemas/ReceiptFileType'
      responses:
        default:
          description: default response
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: '#/components/schemas/DataResponseReceiptModel'
components:
  schemas:
    ReceiptFileType:
      type: string
      description: |
        `ORIGINAL`: The original file as it was uploaded.
        `THUMBNAIL`: Representation of the original file in a small image.
        `PREVIEW`: Display of the original file in a concise format.
      enum:
        - EMBED
        - ORIGINAL
        - THUMBNAIL
        - PREVIEW
    DataResponseReceiptModel:
      required:
        - data
      type: object
      properties:
        data:
          $ref: '#/components/schemas/ReceiptModel'
    ReceiptModel:
      required:
        - accountingEntryId
        - createdAt
        - fileType
        - id
        - mimeType
        - sizeInBytes
        - source
        - url
      type: object
      properties:
        accountingEntryId:
          type: string
          description: The ID of accounting entry that this receipt belongs to.
          format: uuid
        createdAt:
          type: string
          description: The time when the receipt was uploaded.
          format: date-time
        fileType:
          type: string
          description: |
            This can be one of `ReceiptFileType` values.

            `ORIGINAL`: The original file as it was uploaded.
            `THUMBNAIL`: Representation of the original file in a small image.
            `PREVIEW`: Display of the original file in a concise format.
          example: EMBED
        id:
          type: string
          description: The ID of the receipt.
          format: uuid
        mimeType:
          type: string
          description: |
            This can be one of `ReceiptMimeType` values.

            `unknown`: The MIME type of the file is unknown.
            `application/pdf`: The receipt file is a PDF file.
            `application/postscript`: The receipt file is a PostScript file.
            `application/xml`: The receipt file is a xml e-invoice.
            `image/jpeg`: The receipt file is a JPEG image.
            `image/png`: The receipt file is a PNG image.
            `image/heic`: The receipt file is a HEIC image.
            `image/heif`: The receipt file is a HEIF image.
            `image/gif`: The receipt file is a GIF image.
            `text/xml`: The receipt file is a xml e-invoice.
          example: unknown
        ocrDocumentId:
          type: string
          description: The ID of the OCR document that might be linked to this receipt.
          format: uuid
        sizeInBytes:
          type: integer
          description: The size of the file in bytes.
          format: int32
        source:
          type: string
          description: >
            This can be one of `ReceiptSource` values.


            `APP_SHARE`: The receipt was uploaded via the share to Pleo mobile
            app function.

            `BOLT`: The receipt was retrieved from Bolt mobile app.

            `CAMERA`: The receipt was uploaded via the camera in the Pleo mobile
            app.

            `CASHBACK`: The receipt was generated by the Cashback feature.

            `EMAIL_FETCHING`: The receipt was automatically fetched via Pleo
            Fetch.

            `EMAIL_FETCHING_BATCHED`: The receipt was automatically fetch via
            Pleo Fetch in a batch.

            `EMAIL_FORWARDING`: The receipt was forwarded to Pleo via email.

            `GENERATED_RECEIPT`: The receipt was generated by internal systems.

            `LOST_RECEIPT`: The receipt was generated by the Lost Receipt
            feature.

            `ROGER`: The receipt was automatically fetched via the Roger
            integration

            `STOREBOX`: The receipt was uploaded via the Storebox integration.

            `STRIPE`: The receipt was uploaded via the Stripe integration.

            `TRAVELPERK`: The receipt was uploaded via the TravelPerk
            integration.

            `USER`: The receipt was uploaded by the user.
          example: APP_SHARE
        url:
          type: string
          description: >-
            A URL with an expiry period of 24 hours for accessing the receipt
            file.
          format: url
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        JWT Bearer token authentication. Include the token in the Authorization
        header as: `Bearer <token>`
      scheme: bearer
      bearerFormat: JWT
    basicAuth:
      type: http
      description: >-
        Basic HTTP authentication using API key. Use your API key as the
        username and leave the password empty. The credentials will be Base64
        encoded automatically.
      scheme: basic

````